| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
LocatorSelector::iterator Class Reference

`#include <LocatorSelector.hpp>`

Inheritance diagram for LocatorSelector::iterator:
[legend]

## Public Types

enum class | Position { Begin , End }

## Public Member Functions

| iterator (const LocatorSelector &locator_selector, Position index_pos)
| iterator (const iterator &other)
iterator & | operator++ ()
| Increment operator.
bool | operator== (const LocatorsIterator &other) const
| Equal to operator.
bool | operator!= (const LocatorsIterator &other) const
| Not equal to operator.
bool | operator== (const iterator &other) const
bool | operator!= (const iterator &other) const
pointer | operator-> () const
reference | operator* () const
| Dereference operator.

## Member Enumeration Documentation

## ◆ Position

enum class Position

strong

Enumerator
Begin |
End |

## Constructor & Destructor Documentation

## ◆ iterator() [1/2]

iterator | ( | const LocatorSelector & | locator_selector,
|  | Position | index_pos )

inline explicit

## ◆ iterator() [2/2]

iterator | ( | const iterator & | other | ) |

inline

## Member Function Documentation

## ◆ operator!=() [1/2]

bool operator!= | ( | const iterator & | other | ) | const

inline

## ◆ operator!=() [2/2]

bool operator!= | ( | const LocatorsIterator & | other | ) | const

inline virtual

Not equal to operator.

Parameters

  other | LocatorsIterator to compare.

Returns
  true if not equal.
  false otherwise.

Implements LocatorsIterator.

## ◆ operator*()

reference operator* | ( |  | ) | const

inline virtual

Dereference operator.

Returns
  const Locator& Reference to the locator pointed by the LocatorsIterator.

Implements LocatorsIterator.

## ◆ operator++()

iterator & operator++ | ( |  | ) |

inline virtual

Increment operator.

Returns
  LocatorsIterator& reference to the next LocatorsIterator.

Implements LocatorsIterator.

## ◆ operator->()

pointer operator-> | ( |  | ) | const

inline

## ◆ operator==() [1/2]

bool operator== | ( | const iterator & | other | ) | const

inline

## ◆ operator==() [2/2]

bool operator== | ( | const LocatorsIterator & | other | ) | const

inline virtual

Equal to operator.

Parameters

  other | LocatorsIterator to compare.

Returns
  true if equal.
  false otherwise.

Implements LocatorsIterator.

The documentation for this class was generated from the following file:

- include/fastdds/rtps/common/LocatorSelector.hpp